Package wx :: Package lib :: Module pyshell

[frames | no frames]

## Module wx.lib.pyshell

PyShellWindow is a class that provides an Interactive Interpreter running inside a wxStyledTextCtrl, similar to the Python shell windows found in IDLE and PythonWin.

There is still much to be done to improve this class, such as line buffering/recall, autoindent, calltips, autocomplete, fixing the colourizer, etc... But it's a good start.

8-10-2001 THIS MODULE IS NOW DEPRECATED. Please see the most excellent
  PyCrust package instead.

Classes
`FauxFile` |
`PyShellWindow` |

Variable Summary
`str` | `warningmsg` = `'\\\n\n####################################...`

Variable Details

### warningmsg

  Type:
    `str`
  Value:

        '''\\

        ########################################\\
        # THIS MODULE IS NOW DEPRECATED         |
        #                                       |
        # Please see the most excellent PyCrust |
        # package instead.                      |
        ########################################/
        ...

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:11 2007 | http://epydoc.sf.net